VisualEditor: Cutting (removing) last sections on page, and then pasting them back in, results in duplicated section headings
Closed, ResolvedPublic

Description

Intention:
Cut the appendices from an article (to see if they were the source of a problem), and then put them back (because they weren't)

Steps to Reproduce:

  1. Select several sections from the end of an article, all the way to the end of the page.
  1. Command-x to cut.
  1. Command-v to paste.

Actual Results:
The section headings were duplicated, but the content was not. The result is two sets of section headings, the first of which is empty.

https://en.wikipedia.org/w/index.php?title=User%3AEdgepedia%2FVE%2FS%26D&diff=588724359&oldid=588539903

Reproducible: Always


Version: unspecified
Severity: normal

bzimport set Reference to bz59847.
Whatamidoing-WMF created this task.Via LegacyJan 9 2014, 12:36 AM
Jdforrester-WMF changed the task status from "Open" to "Stalled".Via WebFeb 2 2015, 7:24 PM
Risker added a subscriber: Risker.Via WebFeb 4 2015, 4:48 AM

Seems to work correctly now in Safari 8.0.3, although the copy-and-pasting does produce some significant normalization that may be a separate issue.

Neil_P._Quinn_WMF closed this task as "Resolved".Via WebApr 20 2015, 6:34 PM
Neil_P._Quinn_WMF set Security to None.

Add Comment